do
   local MyUnitIdTable = {
      #'uaa0309',--t3 trans
      #'ura0309',--t3 trans
      'ura0409',-- garg
      'xab5205',--t3 air stagin
      #'xaa0307',---removed
      #'xal0310',-- wraith
      'xas0308',-- t3 frigate
      'xaa0401',-- artemis
      #'xab2306',-- t3 PD
      'xeb5205',-- t3 air stagin
      'xel0307',-- juggie
      'xel0308',--rapier
      'xel0109',-- avenger
      'xel0109b',-- avenger
      'xel0109c',-- avenger
      'xel0401',-- goliath
      'xes0306',-- t3 frigate
      'xes0402',-- bismarck
      'xea0003',-- hellfire sat
      #'xrb2306',-- t3 pd
      'xrb5205',-- t3 air stagin
      'xrl0110',-- hydra
      'xrl0205',-- scorpion
      #'xrl0307',-- hailfire
      'xrl0308',-- Basilisk
      'xrl0308b',-- Basilisk
      'xrl0308c',-- Basilisk
      'xrb4401',-- cloak field gen
      #'xrs0304',-- reaper
      #'xrs0305',-- leviathan
      'xrs0306',-- t3 frigate
      'xrs0402',-- Seadragon
      'xrl0006',-- loyalist egg
      'xrl0007',-- scorpion egg
      'xrl0008',-- deciever egg
      'xrl0009',-- firebeetle egg
      'xrl0010',-- wagner egg
      #'xrl0011',-- hailfire egg
      #'xsa0001',-- Attack drone
      #'xsa0002',-- repair drone
      #'xsa0309',-- t3 trans
      #'xsa0310',-- t3 gunship
      'xsb2402',-- rift gate
      'xsb0405',-- lambda field gen
      'xsb5205',-- t3 air stagin
      'xsa0003',-- rift gate unit
      'xsl0002',-- rift gate unit
      'xsl0003',-- rift gate unit
      'xsl0004',-- rift gate unit
      'xsl0005',-- rift gate unit
      'xsl0006',-- rift gate unit
      'xsl0007',-- rift gate unit
      'xsl0310',-- rift gate unit
      'xss0306',-- t3 frigate
      'xss0401',-- Dreadnought
      'xsb0004',-- dreadnaught naval fac
      'drlk001',-- t3 Mobile AA
	  'drlk005',-- t3 Mobile AA egg
	  'delk002',-- t3 Mobile AA
	  'dalk003',-- t3 Mobile AA
	  'dslk004',-- t3 Mobile AA
	  'xsb5104',-- t1 air stagin
	  'xeb5102',-- t1 air stagin
	  'xrb5102',-- t1 air stagin
	  'xab5102',-- t1 air stagin
	  #'xab2210',-- t2 naval mine
	  #'xeb2210',-- t2 naval mine
	  #'xrb2210',-- t2 naval mine
	  #'xsb2210',-- t2 naval mine
   }
   --unit icon must be in /icons/units/. Put the full path to the /icons/ folder in here - note no / on the end!
   local MyIconPath = "/mods/BlackOps"

   local oldFileNameFn = GetUnitIconFileNames
   
   local function IsMyUnit(bpid)
      for i, v in MyUnitIdTable do
         if v == bpid then
            return true
         end
      end
      return false
   end
   
   function GetUnitIconFileNames(blueprint)
      if IsMyUnit(blueprint.Display.IconName) then
         local iconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local upIconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local downIconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local overIconName = MyIconPath .. "/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         
         if DiskGetFileInfo(iconName) == false then
            WARN('Blueprint icon for unit '.. blueprint.Display.IconName ..' could not be found, check your file path and icon names!')
            iconName = '/textures/ui/common/icons/units/default_icon.dds'
            upIconName = '/textures/ui/common/icons/units/default_icon.dds'
            downIconName = '/textures/ui/common/icons/units/default_icon.dds'
            overIconName = '/textures/ui/common/icons/units/default_icon.dds'
         end
         return iconName, upIconName, downIconName, overIconName
      else
         return oldFileNameFn(blueprint)
      end
   end
end